Publications

Assess Publication Draft Adoption

POST
/api/projects/{projectId}/publications/{publicationId}/draft/assess-adoption

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
expectedRevision*integer
Range1 <= value
expectedSourceRevision*integer
Range1 <= value
expectedProfileVersionId*string
Length1 <= length
activeProfileVersionId*string
Length1 <= length
targetContent*
previousLocalContent?

Response Body

Response for status 200

application/json
  1. response
valid*boolean
issues*array<>
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/draft/assess-adoption' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 1,
  "expectedSourceRevision": 1,
  "expectedProfileVersionId": "string",
  "activeProfileVersionId": "string",
  "targetContent": {}
}'
Example Response
{
  "valid": true,
  "issues": [
    {}
  ]
}

Was this page helpful?